#include <iostream>
#include <algorithm>
#include <locale>
#include <string>

enum Etat
{
   ETAT_MAJUSCULE,
   ETAT_MINUSCULE,
   ETAT_FIN,
   NB_ETATS,
   ETAT_INITIAL = ETAT_MAJUSCULE
};

const char SYMBOLE_FIN = '.';

bool Automate(const char c, std::string &cumul)
{
   using std::toupper;
   using std::tolower;
   using std::locale;
   static Etat courant = ETAT_INITIAL;
   if (c == SYMBOLE_FIN)
      courant = ETAT_FIN;
   else
      switch (courant)
      {
      case ETAT_MAJUSCULE:
         cumul += toupper(c, locale(""));
         courant = ETAT_MINUSCULE;
         break;
      case ETAT_MINUSCULE:
         cumul += tolower(c, locale(""));
         courant = ETAT_MAJUSCULE;
         break;
      };
   return courant != ETAT_FIN;
}

int main()
{
   using std::string;
   using std::cin;
   using std::endl;
   using std::cout;
   using std::noskipws;
   using std::skipws;
   string s;
   cin >> noskipws;
   for (char c; cin >> c && Automate(c, s); )
      ;
   cout << s << endl;
}
